FIX FHADHB: Tá do fhreastalaí a reáchtáil leagan PHP ach WordPress 5.1.6 3.2.1 5.2.4 Éilíonn ar a laghad.

Níl Fógra do gach eolas go maith go dtí shuiteáil nó an bhfuil uasghrádúCPC chun leagan níos nuaí de 3.2Tá sé riachtanach go bheith suiteáilte ar leagan nua de 5.2.4.

Má tá an freastalaí a shuiteáil leagan níos sine den PHP 5.2.4, leagan suiteáil WordPress 3.2.1An mbeidh le feiceáil earráid / Teachtaireacht "Tá do fhreastalaí a reáchtáil leagan PHP ach WordPress 5.1.6 3.2.1 5.2.4 Éilíonn ag Lú".
Is féidir an fhadhb a réiteach an-simplí trí uasghrádú PHP, ach sula ndéanfaidh sé amhlaidh chóir a chur san áireamh roinnt rudaí. Gcéad dul síos, uasghrádú Tá PHP óstáil eisiata ó sciar. Sin, is féidir leat a dhéanamh ar an t-uasghrádú mór go mbeadh rochtain riarthóir ar an bhfreastalaí (fhreastalaí tiomnaitheVPS). Sa dara, ní mór roimh an uasghrádú bheith cúramach a doiciméad agus nach leagan nua de PHP ní a thabhairt Earráidí suímh eile óstáil ar an bhfreastalaí.

do Tá OS an a úsáidtear go forleathan freastalaithe gréasáin (Agreart agus / WHM) An mbeidh léiríonn tú conas a dhéanamh uasghrádú PHP ar CentOS 5.2.10 5-giotán 32.x.

Uasghrádú go dtí PHP 5.1.x 5.2.x ar 5-giotán CentOS 32.x

1. Seiceáil a pacáistí / modúil atá suiteáilte PHP (sean. Php-mcrypt) chomh maith le data caighdeánach. Más ann dóibh, déanfar iad a scrios nó actuzlizate.

Seiceáil na pacáistí suiteáilte:

-qa RPM | php grep

old_php_version

2. A chur stórtha breise Riachtanach uasghrádú'S PHP leagan.

nano /etc/yum.repos.d/CentOS-Testing.repo

An comhad nua (CentOS-Testing.repo) An mbeidh cuir na línte seo a leanas (cóipeáil / greamaigh):

[C5-tástála]
ainm = CentOS-Tástáil 5
http://dev.centos.org/centos/ baseurl = $ releasever / tástáil / $ basearch /
chumasaithe = 1
gpgcheck = 1
gpgkey = http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing
includepkgs = php *

Ctrl + X chun an comhad a shábháil CentOS-Testing.repo.

3. Update PHP via yum:

yum cothrom le dáta

4. Atosaigh / httpd :

atosú httpd seirbhíse

Tar éis atosú httpd agus seiceáil an leagan de pacáistí suiteáilte:

new_php_version

Seiceáil do earráidí modúil / pacáistí:

php-v

PHP Uasghrádú / CentOS 32-giotán (i386).

FIX FHADHB: Tá do fhreastalaí a reáchtáil leagan PHP ach WordPress 5.1.6 3.2.1 5.2.4 Éilíonn ar a laghad.

Maidir leis an údar

stealth LP

Bunaitheoir agus eagarthóir Socruithe stealthI 2006 dáta.
Taithí ar chórais Linux oibriúcháin (go háirithe CentOS), Mac OS X, Windows XP> Windows 10 agus WordPress (CMS).

Leave a Comment

Úsáideann an suíomh seo Akismet chun spam a laghdú. Foghlaim conas a dhéantar próiseáil ar do chuid tráchta.